#!/usr/bin/env bash
#
# Launch sway
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [[ ! -v XDG_RUNTIME_DIR ]]; then
    export XDG_RUNTIME_DIR=$(mktemp -d)
    chmod 0700 "$XDG_RUNTIME_DIR"

fi

# Enable wayland support for firefox
export MOZ_ENABLE_WAYLAND=1

# Wayland seems enabled by default for qt5 with qt5-wayland installed but if a proprietary program bundles their own qt then I may have to set QT_QPA_PLATFORM="wayland;xcb"
# Wayland does not seem enabled for gtk apps and setting GDK_BACKEND=wayland did not change that.

exec dbus-launch sway -d &> $HOME/.config/swaylog
